A guide to using Panda
<<< Previous |  |

# panda_xsnprintf

## Name

panda_xsnprintf -- a safe version of vnsprintf

## Synopsis

     #include<panda/constants.h>
     #include<panda/functions.h>
     char panda_xsnprintf(const char* format, va_list ap);

## DESCRIPTION

PANDA INTERNAL. This command behaves like a slightly modified version of vsnprintf. The main difference is that if catches the various different ways that errors can be returned, and turns these into a single NULL is a string big enough to hold the formatted string could not be allocated.

## RETURNS

A string

## EXAMPLE

his is an internal function which will only be needed by those playing deeply with Panda itself, so I won't provide an example.

## VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

## AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

## BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.

<<< Previous | Home |
panda_xsnprintf.sgml | Up |